#if	!defined(PREFILLEDBITMAP_H)
#define	PREFILLEDBITMAP_H

#include <Bitmap.h>
#include <File.h>
#include <Resources.h>
#include <Message.h>

const uint32 kIconType = 'MSGG';

_EXPORT	class PrefilledBitmap : public BBitmap
{
public:
	PrefilledBitmap(BRect bounds,
					color_space space,
					const void *data,
					bool acceptsViews = false,
					bool needsContiguousMemory = false,
					bool createMasks = true);
	PrefilledBitmap(BMessage *archive,
					bool acceptsViews = false,
					bool needsContiguousMemory = false,
					bool createMasks = true);
	~PrefilledBitmap();

	BBitmap	*mask;
	BBitmap *redMask;
	BBitmap *greenMask;	

private:
	void CreateMasks(int32 length, bool acceptsViews, bool needsContiguousMemory);
};

PrefilledBitmap* LoadBitmapFromResource(BFile& file, int32 ID, uint32 type = kIconType);

#endif	//	PREFILLEDBITMAP_H
